Subject: bug#59334: 29.0.50; loading native-compiled init file sets user-init-file to .eln

From: Juanma Barranquero <[email-masked]>
Date: Fri, 18 Nov 2022 08:45:03 +0100

On Fri, Nov 18, 2022 at 8:28 AM Eli Zaretskii <[email-masked]> wrote:

> I think the call to gethash should only be done if the file has the
> .eln extension, otherwise you might have false positives.

Do you mean the hash comp-eln-to-el-h could have keys that match something
that doesn't end in .eln? Or that someone could've an init file with
extension .eln and matching one of the keys? Both seem extremely unlikely,
but ok.

> The file-exists-and-is-newer test is not relevant to the .eln case,
> because Emacs will not load a .eln file that is outdated wrt its
> source, and will not use a .eln file whose source is not available.

Ok. Easier, then.